<?php

namespace PlaNext\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\FilterCriteria;

class PedidoAlteracaoCardapioController {
    
    protected $crudService;
    
    public function __construct($connection, $environment, $crudService) {
    $this->connection   = $connection;
    $this->environment  = $environment;
    $this->crudService  = $crudService;
  }
    
    public function getInicialPedidoAlteracao(Request\Row $request, Response $response) {
        $data = array(
              'NRORG' => $this->environment->getNrOrg(),
              'CDOPERADOR' => $this->environment->getCdOperador(),
              "FILIAL_LOGADA" => $this->environment->getCdFilial()
              
        );
        $response->addDataSet(new DataSet("filtroInicial", $data));
      }
}